<template>
  <AppAbstractPage
    class="sellerPage"
    :breadcrumbs="breadcrumbs">
    <AppSearch
      slot="abstractPage-search"
      class="_on-page"/>
    <div
      slot="heading"
      class="pageHeading">
      <h1 class="heading _h1">
        {{ shopData.shop_name }}
      </h1>
      <span
        v-if="confirmedContacts"
        class="confirmedContacts"
        v-tooltip="{
          classes: 'tooltipDark',
          trigger: 'hover',
          offset: '4',
          placement: 'bottom',
          html: 'true',
          content: confirmedContacts }">
        <img
          svg-inline
          src="~/assets/svg/redesign/ok-small-blue.svg">
      </span>
    </div>

    <template slot="content">
      <div class="sellerInfo container-grid">
        <!-- TODO: Этого функционала нет-->
        <!--
        <div
          class="sellerStatus area-status"
          v-if="false">
          <div class="sellerStatus-item">
            <span class="sellerStatus-value">4,6</span>
            <span class="sellerStatus-text">Рейтинг GisAuto</span>
          </div>
          <div class="sellerStatus-item">
            <span class="sellerStatus-value">
              <img
                svg-inline
                src="~/assets/svg/redesign/status-online.svg">
            </span>
            <span class="sellerStatus-text">5 лет на&nbsp;сайте</span>
          </div>
          <div class="sellerStatus-item">
            <span class="sellerStatus-value">
              <img
                svg-inline
                src="~/assets/svg/redesign/status-selling.svg">
            </span>
            <span class="sellerStatus-text">500 успешных сделок</span>
          </div>
        </div>
        -->

        <div class="__box-white area-basic">
          <div class="sellerBasic seller-grid">
            <div class="picture area-logo">
              <img
                src="~/assets/svg/profile-sidebar-avatar-organization.svg"
                :alt="`логотип компании «${shopData.shop_name}»`">
            </div>

            <div class="sellerBasic-counters area-counters">
              <div class="row">
                <AppRating
                  :size="12"
                  :current-rating="parseInt(shopData.avg_rating, 10)"/>
                <div
                  class="sellerBasic-reviews"
                  v-if="feedbacks.length">
                  {{ feedbacks.length }} {{ feedbacks.length | transChoose(['отзыв', 'отзыва', 'отзывов']) }}
                </div>
              </div>
              <!-- TODO: Этого функционала нет-->
              <!--
              <div
                class="sellerBasic-counter"
                v-if="false">
                <span>1 142 просмотров</span>
                <span>32 заказа</span>
              </div>
              -->
            </div>

            <div class="sellerBasic-address area-address">
              <div
                @click="toggleShowMap"
                class="linkIsMobile">
                <img
                  svg-inline
                  src="~/assets/svg/redesign/button-arrow-right.svg">
              </div>
              <div class="sellerBasic-address-item">
                <span class="__medium">Адрес:&nbsp;{{ address }}</span>
              </div>
            </div>

            <div class="sellerBasic-complain area-complain">
              <AppButton
                :classes="['buttonAsLink']"
                @click.native="onClickCreateAbuse(); $ym('seller_abuse_open')">
                <template #button-item>
                  <img
                    svg-inline
                    src="~/assets/svg/redesign/attention-fill.svg">
                  Пожаловаться
                </template>
              </AppButton>
            </div>

            <div class="sellerBasic-info area-info">
              <!-- TODO: Как будет сделан график работы и будет выводиться в шаблоне.
              Необходимо будет добавить SEO см. SEO Mixin seller -> seoScripts -->
              <div class="sellerBasic-info-item" >
                <!-- <ScheduleOpenedNow :part="shopData.shop_schedule" />
                <ScheduleOpenedWeek :schedule="shopData.shop_schedule" /> -->
              </div>

              <div class="sellerBasic-info-item">
                <AppButton
                  v-if="!isShowEmail"
                  :classes="['buttonAsLink', '_transparent']"
                  @click.native="onClickShowEmail(); $ym('seller_show_email')">
                  <template #button-item>Показать e-mail</template>
                </AppButton>
                <flink
                  v-show="isShowEmail"
                  :href="`mailto:${shopData.email_exists}`"
                  target="_blank"
                  class="link">
                  {{ shopData.email_exists }}
                </flink>
              </div>
              <div
                class="sellerBasic-info-item"
                v-if="site">
                <a
                  class="link"
                  target="_blank"
                  rel="nofollow"
                  :href="site"
                  @click="onOpenSellerSite">
                  Перейти на сайт
                </a>
              </div>
            </div>

            <div class="sellerContacts area-scl">
              <AppSocial
                v-if="shopData.additional_contacts.length"
                :contacts="shopData.additional_contacts"
                @clicked="onClickMessanger"/>
            </div>

            <div class="buttonsCall area-buttons">
              <ButtonPhones
                :phones="shopData.phones"
                @call="onCall(); $ym('seller_show_phone')"/>
              <AppWidgetChat
                v-if="!isSameUser"
                type="shop"
                :id="Number(shopData.id)"
                @click.native="onClickChat"/>
            </div>
          </div>

          <div class="sellerServices">
            <div
              class="sellerServices-item"
              v-if="paymentMethods && paymentMethods.length">
              <div class="sellerServices-title">
                Способы оплаты:
              </div>
              <ul class="sellerServices-list">
                <li
                  class="sellerServices-list-item"
                  v-for="payment in paymentMethods"
                  :key="payment.id">
                  <img
                    v-if="payment[$options.paymentMethods.VISA] === $options.paymentMethods.VISA"
                    svg-inline
                    src="~/assets/svg/redesign/payment-visa.svg">
                  <img
                    v-if="payment[$options.paymentMethods.MASTERCARD] === $options.paymentMethods.MASTERCARD"
                    svg-inline
                    src="~/assets/svg/redesign/payment-master.svg">
                  <img
                    v-if="payment[$options.paymentMethods.MAESTRO] === $options.paymentMethods.MAESTRO"
                    svg-inline
                    src="~/assets/svg/redesign/payment-maestro.svg">
                  <img
                    v-if="payment[$options.paymentMethods.MIR] === $options.paymentMethods.MIR"
                    svg-inline
                    src="~/assets/svg/redesign/payment-mir.svg">
                  <span v-if="payment.text">{{ payment.text }}</span>
                </li>
              </ul>
            </div>
            <div class="sellerServices-item">
              <div
                class="sellerServices-title"
                v-if="shopData.shop_attributes && shopData.shop_attributes.length">
                Сервисы:
              </div>
              <ul class="sellerServices-list">
                <li
                  class="sellerServices-list-item"
                  v-for="(attribute, index) in shopData.shop_attributes"
                  :key="index">
                  {{ attribute }}
                </li>
              </ul>
            </div>
          </div>
        </div>

        <div
          v-if="isShowMap && shopData.lat && shopData.lng"
          class="sellerMap area-map"
          :class="{ '-active': isShowMapMobile }">
          <button
            @click="toggleShowMap"
            class="buttonBack">
            <img
              svg-inline
              src="~/assets/svg/redesign/arrow-left-bold.svg">
            Информация о продавце
          </button>
          <AppAbstractMap
            :zoom="16"
            :placemarks="[seller]"
            :init-coords="seller"
            :active-entity-index="activeEntityIndex"
            :active-item="activeItem"
            :hint-configuration="$options.hintConfiguration"/>
        </div>
      </div>

      <div class="sellerDescription">
        <h2 class="heading _h2">Описание</h2>
        <AppAccordion>
          <template #panel-title>Описание</template>
          <template
            #content
            v-if="shopData.shop_additional_info">
            <div
              class="sellerDescription-text __hide-shadow"
              :class="{'-hidden': isDescriptionTextHidden }">
              <div class="paragraph">
                {{ shopData.shop_additional_info }}
              </div>
              <AppButton
                :classes="['buttonAsLink', 'buttonMore']"
                @click.native="isDescriptionTextHidden = !isDescriptionTextHidden">
                <template
                  v-if="shopData.shop_additional_info.length > 90"
                  #button-item>
                  {{ isDescriptionTextHidden ? 'см.все' : 'свернуть' }}
                </template>
              </AppButton>
            </div>
          </template>
          <template
            #content
            v-else>
            <div
              class="sellerDescription-text">
              <div class="paragraph">
                Мы скоро добавим описание продавца
              </div>
            </div>
          </template>
        </AppAccordion>
      </div>

      <Subsections
        :subsections="subsections"
        :active="currentSubsection"
        @change-subsection="onChangeSubsection"
        :feedback-focus="feedbackFocus"
        button-back-text="Информация о продавце">

        <template slot="content-feedback">
          <div class="subsectionContent-feedback">
            <FeedbackAdd
              :shops="shops"
              :auth-user="auth"
              :count-feedbacks="shopData.count_feedbacks"
              :organization-user-id="organization.user.id"
              :feedback-focus="feedbackFocus"
              @login="onLogin"/>
            <FeedbackList
              :feedbacks="feedbacks"
              :auth-user="auth"
              :is-same-user="isSameUser"
              @login="onLogin"/>
          </div>
        </template>

        <div slot="content-contract">
          тут контрактные запчасти, если есть
        </div>

        <div slot="content-rating">
          тут рейтинг продавца
        </div>

        <div
          v-if="shopRequisites"
          class="subsectionContent-requisites"
          slot="content-requisites">
          <div class="heading _h2">
            Реквизиты
          </div>
          <Requisites :requisites="shopRequisites"/>
        </div>

        <div
          v-if="$options.subsectionsEnum.BRANCHES === currentSubsection"
          class="subsectionContent-branches"
          slot="content-branches">
          <BranchesInMap
            :entities="filials"
            :location="shopData.city_name"
            @change-subsection="onChangeSubsection"/>
        </div>
      </Subsections>

      <div class="sellerСomplaint">
        <AppButton
          :classes="['buttonOutline']"
          @click.native="onClickCreateAbuse(); $ym('seller_abuse_open')">
          <template #button-item>
            Пожаловаться
          </template>
        </AppButton>
      </div>

      <AppModalAbuse
        v-scroll-lock="hasAbuse"
        :shop-id="Number(shopData.id)"
        :seller-title="shopData.shop_name"
        :visible="hasAbuse"
        @before-close="hasAbuse = false"/>
    </template>
  </AppAbstractPage>
</template>

<script>
import { createNamespacedHelpers } from 'vuex';
import { SHOW_AUTH_MODAL } from '~/assets/js/store/actionManager/mutation-types';
import { get } from 'lodash-es';
import AppAbstractPage from '~/components/redesign/layout/app-abstract-page';
import AppSearch from '~/components/redesign/app-search/app-search';
import AppButton from '~/components/redesign/app-buttons/app-button';
import AppButtonCall from '~/components/redesign/app-buttons/app-button-call';
import AppRating from '~/components/redesign/app-rating';
import AppWidgetChat from '~/components/redesign/widget/app-widget-chat';
import AppSocial from '~/components/redesign/app-social';
import AppSelectComposite from '~/components/redesign/app-select/app-select-composite';
import AppAccordion from '~/components/redesign/app-accordion';
import Subsections from '~/components/redesign/subsections';
import AppInputRadio from '~/components/redesign/app-input/app-input-radio';
import Requisites from '~/components/redesign/seller/requisites';
// import AppTable from '~/components/redesign/app-table/app-table';
import AppSellerPrice from '~/components/redesign/seller/app-seller-price';
import AppSellerQuantity from '~/components/redesign/seller/app-seller-quantity';
import AppAbstractMap from '~/components/redesign/app-map/app-abstract-map';
import MapHintRegular from '~/components/redesign/app-map/map-hint-regular';
import BranchesInMap from '~/components/redesign/app-map/branches-in-map';
import FeedbackList from '~/components/redesign/feedback/feedback-list';
import FeedbackAdd from '~/components/redesign/feedback/feedback-add';
import AppModalAbuse from '~/components/redesign/app-modals/app-modal-abuse';
import ButtonPhones from '~/components/redesign/app-buttons/buttonPhones';
import ScheduleOpenedNow from '~/components/blocks/schedule-opened-now';
import ScheduleOpenedWeek from '~/components/redesign/blocks/schedule-opened-week';


// Enums
import { currentSeller } from '~/assets/js/mocks/table/headings';
import Placemark from '~/assets/js/enums/placemark';
import PaymentMethods from '~/assets/js/enums/payment-methods';
import SubsectionsEnum from '~/assets/js/enums/seller/subsections';

// Mixins
import SeoMixin from '~/assets/js/mixins/seo/base';
import SeoPageMixin from '~/assets/js/mixins/seo/pages/main/seller';
import isMobileMixin from '~/assets/js/mixins/is-mobile';

// Structures
import SubsectionsStructures from '~/assets/js/structures/seller/subsections';

// Models
import SellerRequisites from '~/assets/js/model/sellerRequisites';
import PlacemarkShop from '~/assets/js/model/placemark/placemarkShop';

const STORE_USER = createNamespacedHelpers('user');
const STORE_ACTION_MANAGER = createNamespacedHelpers('actionManager');

export default {
  name: 'PageSeller',
  components: {
    ScheduleOpenedNow,
    ScheduleOpenedWeek,
    ButtonPhones,
    AppSellerQuantity,
    AppSellerPrice,
    // AppTable,
    Requisites,
    AppInputRadio,
    Subsections,
    AppAccordion,
    AppSelectComposite,
    AppSocial,
    AppWidgetChat,
    AppRating,
    AppButton,
    AppButtonCall,
    AppAbstractPage,
    AppSearch,
    AppAbstractMap,
    BranchesInMap,
    FeedbackList,
    FeedbackAdd,
    AppModalAbuse,
  },
  mixins: [SeoMixin, SeoPageMixin, isMobileMixin],
  validate({ params }) {
    return /^\d+$/.test(params.shopid) && /^\d+$/.test(params.orgid);
  },
  async asyncData({
    app,
    params,
    error,
    query,
  }) {
    try {
      const { data } = await app.$axios.$get('/_main/shop/infoGet', {
        params: {
          id: params.shopid,
          organizationId: params.orgid,
        },
      });

      if (!data) {
        // TODO: за чем это тут?
        throw new Error('no data');
      }

      return {
        ...data,
        feedbackFocus: !!query.feedbacks,
      };
    } catch (e) {
      if (get(e, 'response.data.error.errorCode', null) === 404) {
        error({ statusCode: 404 });
      } else {
        console.error(e);
        error({ statusCode: 500 });
      }
    }
    return {};
  },
  data() {
    return {
      isShowMapMobile: false,
      isDescriptionTextHidden: true,
      isShowMap: false,
      isShowEmail: false,
      statSent: {
        email: false,
        phone: false,
      },
      hasAbuse: false,
      currentSubsection: '',
      activeEntityIndex: 0,
      activeItem: null,
    };
  },
  computed: {
    ...STORE_USER.mapState(['auth']),
    breadcrumbs() {
      return [
        {
          url: '',
          name: 'Продавцы',
        },
        {
          url: '',
          name: `${get(this.shopData, 'shop_name', '')}`,
        },
      ];
    },
    address() {
      const result = [];
      this.shopData.city_name && result.push(this.shopData.city_name);
      this.shopData.street && result.push(`ул. ${this.shopData.street}`);
      this.shopData.building && result.push(`д. ${this.shopData.building}`);
      return result.join(', ');
    },
    site() {
      // TODO: Значение может не содержать https://?
      if (!this.shopData.shop_site) {
        return '';
      }
      if (this.shopData.shop_site.includes('://')) {
        return this.shopData.shop_site;
      }
      return `https://${this.shopData.shop_site}`;
    },
    seller() {
      return new PlacemarkShop(this.shopData);
    },
    isSameUser() {
      return this.auth && Number(this.auth.id) === Number(this.organization.user.id);
    },
    paymentMethods() {
      // TODO: Лучше вынести в asyncData??
      return this.shopData && this.shopData.shop_payment_methods
              && this.shopData.shop_payment_methods.reduce((acc, entry) => {
                switch (entry) {
                  case PaymentMethods.CASH:
                    return acc.concat({
                      [PaymentMethods.CASH]: PaymentMethods.CASH,
                      text: PaymentMethods.CASH,
                    });
                  case PaymentMethods.INTERNET:
                    return acc.concat({
                      [PaymentMethods.INTERNET]: PaymentMethods.INTERNET,
                      text: PaymentMethods.INTERNET,
                    });
                  case PaymentMethods.BANK:
                    return acc.concat({
                      [PaymentMethods.BANK]: PaymentMethods.BANK,
                      text: PaymentMethods.BANK,
                    });
                  case PaymentMethods.VISA:
                    return acc.concat({
                      [PaymentMethods.VISA]: PaymentMethods.VISA,
                      text: PaymentMethods.VISA,
                    });
                  case PaymentMethods.MAESTRO:
                    return acc.concat({
                      [PaymentMethods.MAESTRO]: PaymentMethods.MAESTRO,
                      text: PaymentMethods.MAESTRO,
                    });
                  case PaymentMethods.MASTERCARD:
                    return acc.concat({
                      [PaymentMethods.MASTERCARD]: PaymentMethods.MASTERCARD,
                      text: PaymentMethods.MASTERCARD,
                    });
                  case PaymentMethods.MIR:
                    return acc.concat({
                      [PaymentMethods.MIR]: PaymentMethods.MIR,
                      text: '',
                    });
                  default:
                    return acc;
                }
              }, []).reverse();
    },
    subsections() {
      // TODO: Лучше вынести в asyncData??
      return SubsectionsStructures.reduce((acc, entry) => acc.concat({
        ...entry,
        ...this.getCountBySubsection(entry),
      }), []);
    },
    shopRequisites() {
      const legals = get(this.organization, 'legals', []);

      if (!legals.length) {
        return false;
      }

      let legal;

      if (this.shopData.legal_id) {
        legal = legals.find(legalItem => Number(legalItem.id) === Number(this.shopData.legal_id));
      } else {
        legal = legals[0];
      }

      if (!legal || !legal.showToCustomers) {
        return false;
      }

      return new SellerRequisites(legal);
    },
    shops() {
      return this.filials.concat({ shop_name: this.shopData.shop_name });
    },
    confirmedContacts() {
      const confirmedContacts = [];
      this.shopData.phone_is_confirmed
      && confirmedContacts.push('Телефон подтверждён');
      this.shopData.email_is_confirmed
      && confirmedContacts.push('Email подтверждён');
      this.shopData.address_is_confirmed
      && confirmedContacts.push('Адрес подтвержден');
      this.shopData.site_is_confirmed
      && confirmedContacts.push('Сайт подтверждён');
      this.shopData.additional_contact_is_confirmed
      && confirmedContacts.push('Мессенджеры подтверждены');
      // this.shopData.schedule_is_confirmed
      // && confirmedContacts.push('Расписание подтверждено');
      return confirmedContacts.join('<br>');
    },
  },
  created() {
    this.$options.headingsCurrentOffer = currentSeller;
    this.$options.hintConfiguration = {
      template: MapHintRegular,
      type: Placemark.SELLER,
    };
    this.$options.paymentMethods = PaymentMethods;
    this.$options.subsectionsEnum = SubsectionsEnum;
  },
  mounted() {
    this.isShowMap = true;
  },
  methods: {
    ...STORE_ACTION_MANAGER.mapMutations({
      showAuthModal: SHOW_AUTH_MODAL,
    }),
    onLogin() {
      this.showAuthModal();
    },
    onCall() {
      this.$statPpn('view-phone', this.getStatData());
    },
    hrefPhone(phone) {
      return `tel:${phone.replace(/[^+\d]/g, '')}`;
    },
    onClickChat() {
      this.$statPpn('click-chat', this.getStatData());
    },
    onOpenSellerSite() {
      this.$ym('seller_go_to_the_website');
      this.$statPpn('view-website', this.getStatData());
    },
    onChangeSubsection(subsection) {
      if (subsection === SubsectionsEnum.BRANCHES) {
        this.$ym('seller_show_all_filials');
      }
      this.currentSubsection = subsection;
    },
    getStatData() {
      const fallbackData = { shopId: this.shopData.id };
      if (!window.location.hash || !window.location.hash.length) {
        return fallbackData;
      }

      const partId = window.location.hash.replace('#', '');
      const partData = window.sessionStorage.getItem(`part${partId}`);
      if (partData) {
        try {
          return JSON.parse(partData);
        } catch (e) {
          return fallbackData;
        }
      }

      return fallbackData;
    },
    isPartInCart(part) {
      part = false;
      return part;
      // return Boolean(this.isInCart(new Item(part)));
    },
    toggleShowMap() {
      this.isShowMapMobile = !this.isShowMapMobile;
    },
    getCountBySubsection(subsection) {
      switch (subsection.name) {
        case SubsectionsEnum.BRANCHES:
          // TODO: Есть проблема с дублями
          return {
            count: this.filials.length,
            has: Boolean(this.filials.length),
          };
        case SubsectionsEnum.ORIGIN:
          return 0;
        case SubsectionsEnum.CONTRACT:
          return 0;
        case SubsectionsEnum.RATING:
          return {
            count: parseInt(this.shopData.avg_rating, 10),
            has: Boolean(this.shopData.avg_rating),
          };
        case SubsectionsEnum.FEEDBACK:
          return {
            count: this.feedbacks.length,
            has: true,
          };
        case SubsectionsEnum.REQUISITES:
          return {
            count: 0,
            has: Boolean(this.shopRequisites && Object.keys(this.shopRequisites)),
          };
        default:
          return null;
      }
    },
    onClickCreateAbuse() {
      this.hasAbuse = true;
    },
    onClickShowEmail() {
      if (this.statSent.email) {
        return;
      }

      this.isShowEmail = true;
      this.$ym('show_contacts');
      this.$statPpn('view-email', this.getStatData());
      this.statSent.email = true;
    },
    onClickMessanger() {
      this.$statPpn('view-messenger', this.getStatData());
    },
  },
};

</script>

<style lang="postcss">
  /* autoprefixer: off */

  /* Стили для блоков с инфой о продавце */
  @import '~/assets/css/components/seller-info.css';

  .sellerPage {
    & .pageHeading {
      display: flex;
      align-items: center;

      & > .heading {
        display: flex;
        align-items: center;
      }

      & .confirmedContacts {
        display: inline-block;
        margin: 0.125rem 0 auto 0.5rem;
        width: 1.5rem;
        height: 1.5rem;

        & > svg {
          width: 1.5rem;
          height: auto;
          fill: var(--link-color);
        }
      }
      .button {
        margin-left: auto;
        color: var(--color-main-lightest);
      }
    }
    .container-grid {
      display: grid;

      .area-status {
        display: none;
        grid-area: status;
      }

      .area-basic {
        grid-area: basic;
        display: flex;
        flex-direction: column;
      }

      .area-map {
        grid-area: map;
      }
    }

    .seller-grid {
      display: grid;

      .area-logo {
        grid-area: logo;
      }

      .area-counters {
        grid-area: counters;
      }

      .area-info {
        grid-area: info;
      }

      .area-complain {
        grid-area: complain;
      }

      .area-address {
        grid-area: address;
      }

      .area-scl {
        grid-area: social;
      }

      .area-buttons {
        grid-area: buttons;
      }
    }

    .sellerStatus {
      padding-bottom: 1.5rem;
    }

    .sellerContacts {
      justify-content: flex-start;
    }

    .buttonsCall {
      display: flex;
    }

    .sellerMap {
      display: block;
      margin-left: 1.875rem;
      height: 100%;

        & > .appAbstractMap,
        & .ymap-container {
            height: 100%;
        }
    }

    .subsections {
      margin-bottom: 4rem;
      .inputRadio {
        display: inline-flex;
      }

      .branchesMap {
        display: block;
        width: 100%;
        height: 37rem;
      }
    }

    .subsectionContent-origin {
      .tableSeller {
        .th, .td {
          &._names {
            grid-area: names;
            padding-left: 1.5rem;
          }

          &._createdAd {
            grid-area: createdAd;
          }

          &._delivery {
            grid-area: delivery;
          }

          &._characteristics {
            grid-area: characteristics;
          }

          &._price {
            grid-area: price;
          }

          &._buttonsOrder {
            grid-area: buttonsOrder;
            padding-right: 1.5rem;
          }
        }

        .tr.-outdated {
          background-color: var(--bg-lightest);
        }
      }
    }

    @media screen and (min-width: 981px) {
      .container-grid {
        grid-template-columns: 1fr 45%;
        grid-template-areas: "basic map";
      }

      .seller-grid {
        grid-template-columns: 12rem 1fr 9rem;
        grid-template-areas: "counters address complain" "logo address complain"
        "logo info info" "logo social social" "logo buttons buttons";
      }

      .sellerInfo {
        padding-bottom: 1rem;
      }

      .sellerBasic {
        padding: 1rem 1.75rem;

        .picture {
          width: 7.875rem;
          padding-top: 7.875rem;
          margin-top: 1rem;
          margin-right: 1.875rem;
          > img {
            max-width: 100%;
            max-height: 100%;
            width: auto;
          }
        }

        &-counters {
          display: flex;
          justify-content: center;
          padding-bottom: 0.5rem;
          width: 7.875rem;
          min-height: 1.5rem;
        }

        &-complain {
          .button {
            padding: 0;
            margin-left: 1rem;
            width: 100%;
            max-width: 8rem;
            height: 1.25rem;
            font-size: 0.6875rem;
            font-weight: var(--font-weight-regular);
            > .svg {
              margin-right: 0.25rem;
            }
          }
        }

        &-info, &-address {
          &-item {
            display: flex;
            padding-bottom: 0.5rem;
            font-size: 0.875rem;
            color: var(--color-main);
          }
          &-title, .link, .buttonAsLink {
            display: inline-block;
            padding-right: 0.75rem;
            line-height: 1.4;
            font-weight: var(--font-weight-medium);
          }
          .link {
            line-height: 1.4;
          }
          .linkIsMobile {
            display: none;
          }
        }
      }

      .sellerContacts {
        padding: 0.5rem 0 1rem;
      }

      .buttonsCall {
        .buttonChat {
          padding: 0 1.625rem;
          width: auto;
        }

        .buttonPhones {
          margin-right: 0.875rem;
        }
      }

      .sellerServices {
        margin-top: auto;
        padding: 1rem 1rem 0.5rem;
        background-color: var(--bg-lightest);

        &-item {
          display: flex;
          width: 100%;
          font-size: 0.75rem;
        }

        &-title {
          flex-shrink: 0;
          display: block;
          padding-right: 1.25rem;
          width: 7.5rem;
          text-align: right;
          font-weight: var(--font-weight-medium);
        }

        &-list {
          display: flex;
          flex-wrap: wrap;
          color: var(--color-main-lightest);
          &-item {
            display: inline-flex;
            align-items: center;
            padding-right: 1.25rem;
            padding-bottom: 0.5rem;

            > svg {
              margin-bottom: auto;
              + span {
                display: none;
              }
            }
          }
        }
      }

      .sellerDescription {
        display: block;
        font-size: 0.875rem;
        padding-bottom: 1rem;

        &-text {
          &.-hidden {
            max-height: 5.4em;
            overflow: hidden;
            .buttonMore {
              position: absolute;
              z-index: 1;
              bottom: 0;
              right: 0;
              padding: 0;
            }
          }

          &.__hide-shadow:after {
            top: auto;
            width: 10rem;
            height: 1.4em;
            background-image: linear-gradient(270deg,rgba(255,255,255,1) 30%, rgba(255,255,255,1));
          }
        }

        .heading {
          padding-bottom: 1.125rem;
        }

        .buttonMore {
          display: block;
          padding-top: 0.75rem;
          line-height: 1.4;
          background-color: var(--bg-main);
        }
      }

      .sellerMap {
        .buttonBack {
          display: none;
        }

        .ymaps-2-1-74-map {
          min-height: 100%;
          max-width: 100%;
          min-width: 100%;
        }
      }

      .subsectionContent-origin {
        padding: 1.5rem 0;
      }

      .subsectionContent-requisites {
        padding: 1.5rem 1.25rem 2rem;
        border-bottom: 1px solid var(--border-color-main);
        .simpleList {
          padding-top: 1.25rem;
        }
      }

      .subsectionContent-origin .tableSeller {
        .headerFolding {
          .heading {
            display: none;
          }
        }
        .tr {
          grid-template-columns: minmax(15rem, 1fr) 7.25rem 8.5rem 18rem 10rem 15rem;
          grid-template-areas:
                  "names createdAd delivery characteristics price buttonsOrder";
        }

        .td._price {
          background-color: var(--bg-lightest);
        }
      }

      .sellerСomplaint {
        display: none;
      }
    }

    @media (min-width: 981px) and (max-width: 1200px) {
      .container-grid {
        grid-template-columns: 1fr 45%;
      }

      .seller-grid {
        grid-template-columns: 10rem 1fr;
        grid-template-areas: "counters address" "logo address"
        "logo info" "logo social" "complain buttons";
        padding: 1rem;
      }

      .sellerBasic-complain {
        padding-right: 1rem;
        .button {
          margin: 0;
          max-width: 10rem;
          height: var(--btn-height-medium);
          min-height: var(--btn-height-medium);
          font-size: 0.75rem;
          .svg {
            margin-right: 0.5rem;
            width: 1rem;
            height: auto;
          }
        }
      }

      .sellerMap {
        margin-left: 1rem;
      }

      .sellerContacts {
        padding: 0.5rem 0;
      }

      .buttonsCall {
        .buttonPhones,
        .appWidgetChat {
          min-width: 8.5rem;
          width: 50%;
        }
        .buttonChat,
        .buttonCall {
          padding: 0 0.75rem;
          width: 100%;
        }
      }

      .subsectionContent-origin .tableSeller {
        .tr {
          grid-template-columns: 1fr 7.25rem 8.5rem 0.8fr 8.75rem 10rem;

          .th, .td {
            font-size: 0.75rem;
          }
        }

        .sellerNames {
          font-size: 0.75rem;
        }
      }
    }

    @media screen and (max-width: 980px) {
      .pageHeading {
        .button {
          display: none;
          margin-top: 1.5rem;
          width: 100%;
          font-size: 0.875rem;
        }
        .confirmedContacts {
          margin-top: 0;
        }
      }
      .container-grid {
        grid-template-columns: 100%;
        grid-template-areas: "status" "basic" "description";

        .__box-white {
          border-radius: 0;
          box-shadow: none;
          border: none;
        }
      }

      .seller-grid {
        grid-template-columns: 6.625rem 1fr;
        grid-template-rows: auto 1fr auto auto auto;
        grid-template-areas: "logo counters" "logo info" "address address" "social social" "buttons buttons";
      }

      .sellerStatus {
        border: none;
        padding: 0 0.5rem;

        &-text {
          text-align: center;
        }
      }

      .sellerBasic {
        padding: 0 1.25rem;

        .picture {
          width: 5.625rem;
          padding-top: 5.625rem;
          margin: 0 0 1rem;

          > img {
            max-width: 100%;
            max-height: 100%;
            width: auto;
          }
        }

        &-counters {
          display: flex;
          padding-bottom: 0.5rem;
        }

        &-address {
          position: relative;
          margin: 0 -1.25rem;
          padding: 1rem 2.5rem 1rem 1.25rem;
          border-top: 1px solid var(--border-color-main);
          border-bottom: 1px solid var(--border-color-main);

          &-title {
            display: none;
          }

          &-city {
            font-weight: var(--font-weight-regular);
          }

          .linkIsMobile {
            position: absolute;
            top: 0;
            left: 0;
            display: flex;
            justify-content: flex-end;
            align-items: center;
            width: 100%;
            height: 100%;

            .svg {
              margin-right: 1.5rem;
              width: auto;
              height: .75rem;
              fill: var(--color-main-lightest);
            }
          }

        }

        &-info {
          &-item {
            display: block;
            font-size: 0.875rem;
            color: var(--color-main-lightest);
          }
          &-title, .link, .buttonAsLink {
            display: block;
            padding-bottom: 0.375rem;
            font-size: 0.875rem;
            line-height: 1.4;
            font-weight: var(--font-weight-regular);
          }
          &-title {
            color: var(--color-main);
          }
        }

        &-complain {
          display: none;
        }
      }

      .sellerContacts {
        margin: 0 -1.25rem -1.25rem;
        padding: 1rem 1.25rem 0 1.25rem;

        .sclContacts {
          flex-wrap: wrap;
          justify-content: flex-start;
          &-item {
            margin-bottom: 1.25rem;
          }
        }
      }

      .buttonsCall {
        justify-content: space-between;
        margin: 0 -1.25rem;
        padding: 1.25rem;

        .buttonPhones {
          width: calc(100% - 4.75rem);
        }

        .buttonChat {
          padding: 0 0.5rem;
        }
      }

      .sellerServices {
        display: block;
        padding: 1.25rem;
        background-color: var(--bg-lightest);
        border-bottom: 1px solid var(--border-color-main);

        &-item {
          flex-direction: column;
          padding-bottom: 0.75rem;
          font-size: 0.875rem;
        }
        &-title {
          padding-bottom: 0.375rem;
          font-size: 0.9375rem;
          font-weight: var(--font-weight-bold);
        }
        &-list {
          display: block;
          color: var(--color-main-lightest);

          &-item {
            display: inline-block;
            padding-bottom: 0.375rem;
            padding-right: 0.75rem;
            > svg {
              display: none;
              + span {
                display: inline;
              }
            }

          }
        }
      }

      .sellerDescription {
        padding: 0;

        &-text {
          padding-bottom: 1rem;
          &.__hide-shadow:after {
            content: none;
          }

          .buttonMore {
            display: none;
          }

          .paragraph {
            padding-bottom: 0.75rem;
          }
        }

        .heading {
          display: none;
        }

        .accordion {
          &-panel {
            border-bottom-color: var(--border-color-main);
          }
          &-title {
            padding-left: 1.25rem;
            font-size: 1.125rem;
            font-weight: var(--font-weight-medium);
          }
        }
      }

      .sellerMap {
        display: none;

        &.-active {
          position: fixed;
          z-index: 1000;
          top: 0;
          left: 0;
          display: block;
          margin: 0;
          padding-top: 4.5rem;
          width: 100vw;
          height: 100vh;

        }

        .buttonBack {
          position: absolute;
          top: 0;
          left: 0;
          display: flex;
          padding: 0 1.25rem;
          align-items: center;
          width: 100%;
          height: 4.5rem;
          font-size: 1.125rem;
          font-weight: var(--font-weight-bold);
          color: var(--color-main-lightest);

          background-color: var(--bg-main);
          border: none;
          outline: none;
          border-bottom: 1px solid var(--border-color-main);

          .svg {
            margin-right: 1.25rem;
            fill: var(--color-main-lightest);
          }
        }
      }

      .subsections {
        margin-bottom: 0;
        .inputRadio {
          display: inline-flex;
          padding: 0 1.25rem;
        }
      }

      .subsectionContent-origin {
        padding: 1.25rem 0;

        .tableSeller {
          .tr {
            grid-template-columns: 6.25rem 1fr;
            grid-template-areas:
                    "createdAd delivery" "names names" "characteristics characteristics"
                    "price price" "buttonsOrder buttonsOrder";

            &.-outdated {
              grid-template-columns: 100%;
              grid-template-areas: "createdAd" "delivery" "names" "price" "characteristics" "buttonsOrder";

              .sellerOutdated {
                padding-bottom: 0.875rem;
              }
            }
          }

          .td._names,
          .td._characteristics {
            padding: 0 0 1rem;
          }

          .td._buttonsOrder {
            padding-right: 0;
          }

          .sellerNames {
            font-size: 1rem;
            .link {
              font-size: 1.125rem;
              color: var(--color-main);
            }
          }
        }
      }

      .subsectionContent-requisites {
        padding: 1.5rem 1.25rem 2rem;
        .simpleList {
          padding-top: 1.5rem;
        }
      }

      .subsectionContent-branches {
        .branchesMap {
          height: 100vh;
        }
      }

      .sellerСomplaint {
        display: block;
        padding: 2rem 1.25rem 4rem;

        .button {
          width: 100%;
        }
      }
    }

  }
</style>
